%bcond_with test

Summary:        RDF Query Library
Name:           rasqal
Version:        0.9.33
Release:        4%{?dist}.1

License:        LGPLv2+ or ASL 2.0
URL:            http://librdf.org/rasqal/
Source0:         http://download.librdf.org/source/%{name}-%{version}.tar.gz

BuildRequires: raptor2-devel libgcrypt-devel
BuildRequires: make gcc-c++ libxml2-devel mpfr-devel pcre-devel
%if %{with test}
BuildRequires: perl(XML::DOM) perl(Pod::Usage)
%endif


%description
Rasqal is a library providing full support for querying Resource
Description Framework (RDF) including parsing query syntaxes, constructing
the queries, executing them and returning result formats.  It currently
handles the RDF Data Query Language (RDQL) and SPARQL Query language.

%package        devel
Summary:        Development files for the Rasqal RDF libraries
Requires:       %{name} = %{version}-%{release}
%description    devel
Libraries, includes etc to develop with the Rasqal RDF query language library.


%prep
%autosetup

sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure


%build
%configure \
  --with-digest-library=gcrypt\
  --disable-static\
  --enable-release

%make_build


%install
%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la


%if %{with test}
%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion rasqal)" = "%{version}"
if [ -x %{_bindir}/rapper ]; then
make -k check
fi
%endif


%files
%license COPYING COPYING.LIB
%license LICENSE.txt LICENSE-2.0.txt
%doc AUTHORS ChangeLog NEWS NOTICE README
%doc RELEASE.html
%{_bindir}/roqet
%{_libdir}/librasqal.so.3*
%{_mandir}/man1/roqet.1*

%files devel
%doc docs/README.html
%{_bindir}/rasqal-config
%{_includedir}/rasqal/
%{_libdir}/librasqal.so
%{_libdir}/pkgconfig/rasqal.pc
%{_datadir}/gtk-doc/
%{_mandir}/man1/rasqal-config.1*
%{_mandir}/man3/librasqal.3*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.33-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.33-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.33-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 cunshunxia <cunshunxia@tencent.com> - 0.9.33-1
- initial build
